CONFIG = {
    'framework' : 'other',
    'arg' : 'PYCMD -c "from sympy import test; test()"',
    'env' : None,
    'expect_except' : None,
    'need_sources' : False,
    'location' : None,
    'use_re' : False,
    'eol_patt' : 'tests finished:',
    'errors' : {
        '2.7' : {
            'Win' : set(),
            'Lin' : set(),
            'Mac' : set()
        },
        '3.5' : {
            'Win' : set(),
            'Lin' : set(),
            'Mac' : set()
        },
        '3.6' : {
            'Win' : set(),
            'Lin' : set(),
            'Mac' : set()
        },
    },
    'failures' : {
        '2.7' : {
            'Win' : set(),
            'Lin' : {
                'sympy/codegen/tests/test_fnodes.py:test_ImpliedDoLoop', # see sympy-recipe/pull/10 comments
                 },
            'Mac' : set()
        },
        '3.5' : {
            'Win' : set(),
            'Lin' : set(),
            'Mac' : set()
        },
        '3.6' : {
            'Win' : set(),
            'Lin' : set(),
            'Mac' : set()
        },
    },
    'validation' : { #SAT-1598, SAT-1620, SAT-1621
        'errors' : {
            '2.7' : {
                'Win' : set(),
                'Lin' : set(),
                'Mac' : set()
            },
            '3.6' : {
                'Win' : set(),
                'Lin' : set(),
                'Mac' : set()
            },
        },
        'failures' : {
            '2.7' : {
                'Win' : { r'sympy\external\tests\test_autowrap.py:test_autowrap_matrix_matrix_C_cython',
                          r'sympy\core\tests\test_sympify.py:test_issue_10295',
                          r'sympy\external\tests\test_autowrap.py:test_autowrap_trace_C_Cython',
                          r'sympy\external\tests\test_autowrap.py:test_autowrap_matrix_vector_C_cython',
                          r'sympy\plotting\tests\test_plot_implicit.py:test_matplotlib',
                          r'sympy\external\tests\test_autowrap.py:test_ufuncify_C_Cython',
                          r'sympy\utilities\tests\test_code_quality.py:test_files',
                          r'sympy\external\tests\test_autowrap.py:test_ufuncify_numpy',
                          r'sympy\external\tests\test_autowrap.py:test_autowrap_custom_printer',
                          r'sympy\external\tests\test_autowrap.py:test_wrap_twice_c_cython',
                          r'sympy\external\tests\test_autowrap.py:test_issue_10274_C_cython',
                },
                'Lin' : { 'sympy/printing/tests/test_theanocode.py:test_DenseMatrix',
                          'sympy/plotting/tests/test_plot_implicit.py:test_matplotlib',
                          'sympy/utilities/tests/test_lambdify.py:test_tensorflow_piecewise',
                },
                'Mac' : { 'sympy/plotting/tests/test_plot_implicit.py:test_matplotlib',
                          'sympy/utilities/tests/test_code_quality.py:test_files',
                },
            },
            '3.6' : {
                'Win' : { r'sympy\utilities\tests\test_code_quality.py:test_files',
                          r'sympy\plotting\tests\test_plot_implicit.py:test_matplotlib',
                },
                'Lin' : { 'sympy/printing/tests/test_theanocode.py:test_DenseMatrix',
                          'sympy/plotting/tests/test_plot_implicit.py:test_matplotlib',
                          'sympy/utilities/tests/test_lambdify.py:test_tensorflow_piecewise',
                },
                'Mac' : { 'sympy/plotting/tests/test_plot_implicit.py:test_matplotlib',
                          'sympy/utilities/tests/test_code_quality.py:test_files',
                },
            },
        },
    },
}

def fetch_config(pyver):
    return CONFIG
